KVM_GETLOADAVG(3) | Library Functions Manual | KVM_GETLOADAVG(3)

# NAME

`kvm_getloadavg` —
get system load averages, from live or dead kernels

# LIBRARY

Kernel Data Access Library (libkvm, -lkvm)

# SYNOPSIS

`#include <sys/resource.h>`
`#include <kvm.h>`

int
`kvm_getloadavg`(kvm_t *kd, double loadavg[], int nelem);

# DESCRIPTION

The `kvm_getloadavg`() function returns the number of processes in the system run queue of the kernel or core file, indicated by kd. Up to nelem samples are retrieved and assigned to successive elements of loadavg[]. The system imposes a maximum of 3 samples, representing averages over the last 1, 5, and 15 minutes, respectively. On a live system, the load average is obtained by calling getloadavg(3). If performing post mortem on a kernel core file, `kvm_getloadavg` is able to extract the system load averages at the time of death from the core file directly.

# RETURN VALUES

If the load average was unobtainable, -1 is returned; otherwise, the number of samples actually retrieved is returned.

# SEE ALSO

uptime(1), getloadavg(3), kvm(3), kvm_open(3), sysctl(3)

December 11, 2018 | NetBSD 9.5